Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/06/2018, à 23:26

oliver2004

[Résolu] Problème installation serveur apache/mysql

Bonjour,
C'est bizarre, je rencontre un problème jamais rencontré lors d'une installation d'un serveur mysql.
Je suis sous Kubuntu 18.04, c'est ma machine de développement. Fraîchement installée, je veux configurer mon serveur web.
Installation de apache2, pas de souci, installation de php 7.2, pas de souci, puis à l'installation de mysql, j'ai d'abord trouvé bizarre qu'il ne me demande pas de saisir mon mot de passe pour le root. Ok, je lance l'installation de phpmyadmin et là, blocage, erreur dans le socket (??)

Je cherche des solutions pour réinitialiser le mot de passe root de mysql et je tente ceci:

olivier@olivier-laptop:~$ /etc/init.d/mysql stop
[ ok ] Stopping mysql (via systemctl): mysql.service.
olivier@olivier-laptop:~$ mysqld --skip-grant-tables --skip-networking
mysqld: Can't change dir to '/var/lib/mysql/' (Errcode: 13 - Permission denied)
2018-06-06T22:15:51.345603Z 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2018-06-06T22:15:51.345681Z 0 [Warning] Can't create test file /var/lib/mysql/olivier-laptop.lower-test
2018-06-06T22:15:51.345704Z 0 [Note] mysqld (mysqld 5.7.22-0ubuntu18.04.1) starting as process 6220 ...
2018-06-06T22:15:51.347479Z 0 [Warning] Can't create test file /var/lib/mysql/olivier-laptop.lower-test
2018-06-06T22:15:51.347488Z 0 [Warning] Can't create test file /var/lib/mysql/olivier-laptop.lower-test
2018-06-06T22:15:51.347708Z 0 [Warning] One can only use the --user switch if running as root

2018-06-06T22:15:51.347730Z 0 [ERROR] failed to set datadir to /var/lib/mysql/
2018-06-06T22:15:51.347737Z 0 [ERROR] Aborting

2018-06-06T22:15:51.347743Z 0 [Note] Binlog end
2018-06-06T22:15:51.347768Z 0 [Note] mysqld: Shutdown complete

olivier@olivier-laptop:~$ mysql mysql -u root
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)

J'ai ensuite tenté de désinstaller phpmyadmin puis mysql, et retenté l'installation, j'en suis au même point.

Bref, je plante.

Dernière modification par oliver2004 (Le 14/06/2018, à 16:18)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#2 Le 06/06/2018, à 23:41

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Du coup j'ai tout désinstallé phpmyadmin et mysql
J'en suis à l'installation de mysql :

olivier@olivier-laptop:~$ sudo apt-get install mysql-server
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  amarok-common dbconfig-common dvdauthor dvgrab gdal-data kdemultimedia-kio-plugins kdenlive-data libaec0 libarmadillo8
  libarpack2 libcharls1 libdap25 libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgavl1 libgdcm2.8 libgeos-3.6.2
  libgeos-c1v5 libgeotiff2 libgpod-common libgpod4 libhdf4-0-alt libhdf5-100 libjs-sphinxdoc libkmlbase1 libkmldom1
  libkmlengine1 liblastfm1 libmlt++3 libmlt-data libmlt6 libmovit8 libmygpo-qt1 libnetcdf13 libodbc1 libogdi3.2
  libopencv-core3.2 libopencv-imgproc3.2 libopencv-ml3.2 libopencv-video3.2 libpq5 libproj12 libqhull7 libqjson0
  libqt4-scripttools libqtscript4-core libqtscript4-gui libqtscript4-network libqtscript4-sql libqtscript4-uitools
  libqtscript4-xml librtaudio6 libsgutils2-2 libsocket++1 libspatialite7 libsuperlu5 libsz2 libtbb2 liburiparser1 melt
  odbcinst odbcinst1debian2 php php-bz2 php-mbstring php-php-gettext php-phpseclib php-tcpdf php-zip php7.2 php7.2-bz2
  php7.2-mbstring php7.2-mysql php7.2-zip proj-bin proj-data swh-plugins
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  mysql-client-5.7 mysql-common mysql-server-5.7
Paquets suggérés :
  mailx tinyca
Les NOUVEAUX paquets suivants seront installés :
  mysql-client-5.7 mysql-common mysql-server mysql-server-5.7
0 mis à jour, 4 nouvellement installés, 0 à enlever et 5 non mis à jour.
Il est nécessaire de prendre 7.308 o/5.509 ko dans les archives.
Après cette opération, 82,0 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://pe.archive.ubuntu.com/ubuntu bionic/main amd64 mysql-common all 5.8+1.0.4 [7.308 B]
7.308 o réceptionnés en 0s (14,8 ko/s)   
Préconfiguration des paquets...
Sélection du paquet mysql-common précédemment désélectionné.
(Lecture de la base de données... 228245 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-common_5.8+1.0.4_all.deb ...
Dépaquetage de mysql-common (5.8+1.0.4) ...
Sélection du paquet mysql-client-5.7 précédemment désélectionné.
Préparation du dépaquetage de .../mysql-client-5.7_5.7.22-0ubuntu18.04.1_amd64.deb ...
Dépaquetage de mysql-client-5.7 (5.7.22-0ubuntu18.04.1) ...
Paramétrage de mysql-common (5.8+1.0.4) ...
update-alternatives: utilisation de « /etc/mysql/my.cnf.fallback » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
Sélection du paquet mysql-server-5.7 précédemment désélectionné.
(Lecture de la base de données... 228288 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-server-5.7_5.7.22-0ubuntu18.04.1_amd64.deb ...
Dépaquetage de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
Sélection du paquet mysql-server précédemment désélectionné.
Préparation du dépaquetage de .../mysql-server_5.7.22-0ubuntu18.04.1_all.deb ...
Dépaquetage de mysql-server (5.7.22-0ubuntu18.04.1) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-20) ...
ureadahead will be reprofiled on next reboot
Traitement des actions différées (« triggers ») pour systemd (237-3ubuntu10) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2) ...
Paramétrage de mysql-client-5.7 (5.7.22-0ubuntu18.04.1) ...
Paramétrage de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
update-alternatives: utilisation de « /etc/mysql/mysql.cnf » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
Checking if update is needed.
This installation of MySQL is already upgraded to 5.7.22, use --force if you still need to run mysql_upgrade
Paramétrage de mysql-server (5.7.22-0ubuntu18.04.1) ...

Encore une fois, aucun mot de passe pour root de mysql ne m'a été demandé, il me semblait bien qu'on m'en demandait un avant ?

Maintenant installation de phpmyadmin :

olivier@olivier-laptop:~$ sudo apt-get install phpmyadmin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  amarok-common dvdauthor dvgrab gdal-data kdemultimedia-kio-plugins kdenlive-data libaec0 libarmadillo8 libarpack2
  libcharls1 libdap25 libdapclient6v5 libepsilon1 libfreexl1 libfyba0 libgavl1 libgdcm2.8 libgeos-3.6.2 libgeos-c1v5
  libgeotiff2 libgpod-common libgpod4 libhdf4-0-alt libhdf5-100 libkmlbase1 libkmldom1 libkmlengine1 liblastfm1 libmlt++3
  libmlt-data libmlt6 libmovit8 libmygpo-qt1 libnetcdf13 libodbc1 libogdi3.2 libopencv-core3.2 libopencv-imgproc3.2
  libopencv-ml3.2 libopencv-video3.2 libpq5 libproj12 libqhull7 libqjson0 libqt4-scripttools libqtscript4-core
  libqtscript4-gui libqtscript4-network libqtscript4-sql libqtscript4-uitools libqtscript4-xml librtaudio6 libsgutils2-2
  libsocket++1 libspatialite7 libsuperlu5 libsz2 libtbb2 liburiparser1 melt odbcinst odbcinst1debian2 proj-bin proj-data
  swh-plugins
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  dbconfig-mysql
Les NOUVEAUX paquets suivants seront installés :
  dbconfig-mysql phpmyadmin
0 mis à jour, 2 nouvellement installés, 0 à enlever et 5 non mis à jour.
Il est nécessaire de prendre 0 o/3.862 ko dans les archives.
Après cette opération, 25,0 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Préconfiguration des paquets...
Sélection du paquet dbconfig-mysql précédemment désélectionné.
(Lecture de la base de données... 228365 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../dbconfig-mysql_2.0.9_all.deb ...
Dépaquetage de dbconfig-mysql (2.0.9) ...
Sélection du paquet phpmyadmin précédemment désélectionné.
Préparation du dépaquetage de .../phpmyadmin_4%3a4.6.6-5_all.deb ...
Dépaquetage de phpmyadmin (4:4.6.6-5) ...
Paramétrage de dbconfig-mysql (2.0.9) ...
Paramétrage de phpmyadmin (4:4.6.6-5) ...
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
checking privileges on database phpmyadmin for phpmyadmin@localhost: user creation needed.
granting access to database phpmyadmin for phpmyadmin@localhost: success.
verifying access for phpmyadmin@localhost: success.
creating database phpmyadmin: success.
verifying database phpmyadmin exists: success.
populating database via sql...  done.
dbconfig-common: flushing administrative password
apache2_invoke: Enable configuration phpmyadmin
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...

Là, super étrange, à aucun moment on ne me demande un mot de passer pour phpmyadmin ni choisir apache2. Avant on me demandais entre apache2 et une autre option, me souviens plus laquelle.

Y a un truc qui va pas.


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#3 Le 06/06/2018, à 23:47

seebz

Re : [Résolu] Problème installation serveur apache/mysql

Salut oliver,
plus besoin de mdp mysql root, il faut lancer "en tant que" root (su et/ou sudo)

Hors ligne

#4 Le 06/06/2018, à 23:59

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

seebz a écrit :

Salut oliver,
plus besoin de mdp mysql root, il faut lancer "en tant que" root (su et/ou sudo)

Bonjour, quelle réponse rapide ! C'est presque du tchat ! smile
Ah bon ?
Ok, j'ai effectivement pu rentrer dans mysql maintenant après réinstallation.
Par contre pour phpmyadmin ? vu que aucun mot de passe ne m'a été demandé, je suis également coincé à la connexion (j'ai tenté avec mon mot de passe root, mais rien bien sûr)

J'ai tenté de voir ceci :

olivier@olivier-laptop:/etc/phpmyadmin$ sudo mysql -u root
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 18
Server version: 5.7.22-0ubuntu18.04.1 (Ubuntu)

Copyright (c) 2000, 2018, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> select user,host,password FROM mysql.user;
ERROR 1054 (42S22): Unknown column 'password' in 'field list'
mysql> 

Du coup, il y a quand même un problème, le champ password n'existe pas ? Ou la base de donnée mysql a changé ?

Dernière modification par oliver2004 (Le 07/06/2018, à 00:07)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#5 Le 07/06/2018, à 00:11

seebz

Re : [Résolu] Problème installation serveur apache/mysql

Je sais pas trop pour phpmyadmin, j'utilise plutot Adminer qui est beaucoup plus léger et dispo dans les dépots.

Pour éviter de bosser avec le compte root (mysql bien sur), j'utilise sur ma machine dev le pseudo-script suivant qui me permet de créer un compte mysql "developer" qui a l'équivalent des droits root (mysql encore une fois).
(au préalable avoir déverrouillé sudo, avec sudo -v par exemple)

# génération d'un mot de passe
length=10
random=`cat /dev/urandom | tr -dc 'a-zA-Z0-9!@#$&*()_+?' | fold -w ${length} | head -n 1`
pass=$random
user=developer
# préparation des requêtes sql
sql_drop="
	DROP USER '${user}'@'localhost';
"
sql_create="
	CREATE USER '${user}'@'localhost' IDENTIFIED BY '${pass}';
	GRANT ALL PRIVILEGES ON *.* TO '${user}'@'localhost' WITH GRANT OPTION;
	FLUSH PRIVILEGES;
"
# exécution des requêtes sql
sudo -s mysql -u root -e "$sql_drop" 2> /dev/null 
sudo -s mysql -u root -e "$sql_create"
# création du ~/.my.cnf
echo "[client]
user=${user}
password=${pass}
" > ~/.my.cnf
chmod 0600 ~/.my.cnf

Cela te permettra de lancer la console mysql sur ta session utilisateur sans devoir t'identifier.
Mais tu peux aussi utiliser les infos se trouvant dans ~/.my.cnf pour te connecter sur adminer par exemple.

----

edit: on s'est croisé...

Donc d'abord, pour mysql en rooot, c'est juste :

$ sudo mysql

Ensuite, pour la structure de la table, faudrait faire un (pour vérifier les champs) :

mysql> DESCRIBE mysql.user;

Dernière modification par seebz (Le 07/06/2018, à 00:16)

Hors ligne

#6 Le 07/06/2018, à 00:18

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

J'ai ça avec la commande que tu me donnes :

mysql> DESCRIBE mysql.user;                                                                                                                                                                     
+------------------------+-----------------------------------+------+-----+-----------------------+-------+                                                                                     
| Field                  | Type                              | Null | Key | Default               | Extra |                                                                                     
+------------------------+-----------------------------------+------+-----+-----------------------+-------+                                                                                     
| Host                   | char(60)                          | NO   | PRI |                       |       |                                                                                     
| User                   | char(32)                          | NO   | PRI |                       |       |                                                                                     
| Select_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Insert_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Update_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Delete_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Create_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Drop_priv              | enum('N','Y')                     | NO   |     | N                     |       |
| Reload_priv            | enum('N','Y')                     | NO   |     | N                     |       |
| Shutdown_priv          | enum('N','Y')                     | NO   |     | N                     |       |
| Process_priv           | enum('N','Y')                     | NO   |     | N                     |       |
| File_priv              | enum('N','Y')                     | NO   |     | N                     |       |
| Grant_priv             | enum('N','Y')                     | NO   |     | N                     |       |
| References_priv        | enum('N','Y')                     | NO   |     | N                     |       |
| Index_priv             | enum('N','Y')                     | NO   |     | N                     |       |
| Alter_priv             | enum('N','Y')                     | NO   |     | N                     |       |
| Show_db_priv           | enum('N','Y')                     | NO   |     | N                     |       |
| Super_priv             | enum('N','Y')                     | NO   |     | N                     |       |
| Create_tmp_table_priv  | enum('N','Y')                     | NO   |     | N                     |       |
| Lock_tables_priv       | enum('N','Y')                     | NO   |     | N                     |       |
| Execute_priv           | enum('N','Y')                     | NO   |     | N                     |       |
| Repl_slave_priv        | enum('N','Y')                     | NO   |     | N                     |       |
| Repl_client_priv       | enum('N','Y')                     | NO   |     | N                     |       |
| Create_view_priv       | enum('N','Y')                     | NO   |     | N                     |       |
| Show_view_priv         | enum('N','Y')                     | NO   |     | N                     |       |
| Create_routine_priv    | enum('N','Y')                     | NO   |     | N                     |       |
| Alter_routine_priv     | enum('N','Y')                     | NO   |     | N                     |       |
| Create_user_priv       | enum('N','Y')                     | NO   |     | N                     |       |
| Event_priv             | enum('N','Y')                     | NO   |     | N                     |       |
| Trigger_priv           | enum('N','Y')                     | NO   |     | N                     |       |
| Create_tablespace_priv | enum('N','Y')                     | NO   |     | N                     |       |
| ssl_type               | enum('','ANY','X509','SPECIFIED') | NO   |     |                       |       |
| ssl_cipher             | blob                              | NO   |     | NULL                  |       |
| x509_issuer            | blob                              | NO   |     | NULL                  |       |
| x509_subject           | blob                              | NO   |     | NULL                  |       |
| max_questions          | int(11) unsigned                  | NO   |     | 0                     |       |
| max_updates            | int(11) unsigned                  | NO   |     | 0                     |       |
| max_connections        | int(11) unsigned                  | NO   |     | 0                     |       |
| max_user_connections   | int(11) unsigned                  | NO   |     | 0                     |       |
| plugin                 | char(64)                          | NO   |     | mysql_native_password |       |
| authentication_string  | text                              | YES  |     | NULL                  |       |
| password_expired       | enum('N','Y')                     | NO   |     | N                     |       |
| password_last_changed  | timestamp                         | YES  |     | NULL                  |       |
| password_lifetime      | smallint(5) unsigned              | YES  |     | NULL                  |       |
| account_locked         | enum('N','Y')                     | NO   |     | N                     |       |
+------------------------+-----------------------------------+------+-----+-----------------------+-------+
45 rows in set (0.00 sec)

Et Adminer est tout aussi bien que phpmyadmin? J'avoue que j'ai toujours utilisé ce dernier.

Dernière modification par oliver2004 (Le 07/06/2018, à 00:26)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#7 Le 07/06/2018, à 00:27

seebz

Re : [Résolu] Problème installation serveur apache/mysql

Effectivement, j'ai une table de plus :

MariaDB [(none)]> DESCRIBE mysql.user;
+------------------------+-----------------------------------+------+-----+----------+-------+
| Field                  | Type                              | Null | Key | Default  | Extra |
+------------------------+-----------------------------------+------+-----+----------+-------+
| Host                   | char(60)                          | NO   | PRI |          |       |
| User                   | char(80)                          | NO   | PRI |          |       |
| Password               | char(41)                          | NO   |     |          |       |
....
| default_role           | char(80)                          | NO   |     |          |       |
| max_statement_time     | decimal(12,6)                     | NO   |     | 0.000000 |       |
+------------------------+-----------------------------------+------+-----+----------+-------+
46 rows in set (0.00 sec)

Je suis sous MariaDB, basé sur MySQL 5.2

$ mysql --version
mysql  Ver 15.1 Distrib 10.1.29-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2

Y aurait-il eu des changements entre ta version 5.7 et la mienne ?

---

oliver2004 a écrit :

Et Adminer est tout aussi bien que phpmyadmin? J'avoue que j'ai toujours utilisé ce dernier.

Adminer tient dans un fichier donc est forcément plus limité mais aussi plus léger/moins lourd à mettre en place..
ca me suffit sur ma machine de dev en tout cas (et sur certains projets plutot simple en prod aussi)

Dernière modification par seebz (Le 07/06/2018, à 00:30)

Hors ligne

#8 Le 07/06/2018, à 00:40

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Du coup, comme on ne m'a pas de demandé de mot de passe le champ n'a pas été créé. Serait-ce un bug ?
Bizarre tout de même. Mais ça s'explique aussi par le fait qu'on se connecte avec son root. Peut-ètre que ça a changé avec cette nouvelle version.
Du coup, pour phpmyadmin je ne sais pas trop quoi faire... je vais chercher sur le net voir si je trouve quelque chose...
Merci seebz smile


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#9 Le 07/06/2018, à 00:52

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Pfff, et ben c'est pas simple !!
Mais pourquoi phpmyadmin ne m'a pas demandé tout simplement un code comme d'habitude ?
Y a des solutions mais frachement pas facile à mettre en place, ça donne pas envie de perdre ses mots de passe dis donc...


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#10 Le 07/06/2018, à 03:33

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

pour définir un mot de passe root :
https://doc.ubuntu-fr.org/mysql#ajouter … se_de_root

ensuite je tenterais un

sudo dpkg-reconfigure phpmyadmin
oliver2004 a écrit :
olivier@olivier-laptop:~$ /etc/init.d/mysql stop

t'as trouvé ça dans quelle doc ?

Hors ligne

#11 Le 07/06/2018, à 04:24

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Bonjour krodelabestiole
J'ai tenté ;

olivier@olivier-laptop:/var/www/html$ sudo dpkg-reconfigure phpmyadmin
[sudo] Mot de passe de olivier : 
/usr/sbin/dpkg-reconfigure: phpmyadmin est cassé ou partiellement installé

Sinon,

de a écrit :

oliver2004 a écrit :

    olivier@olivier-laptop:~$ /etc/init.d/mysql stop

t'as trouvé ça dans quelle doc ?

Ça apparaît dans pas mal d'endroits:
https://askubuntu.com/questions/82374/h … sql-server
https://coolestguidesontheplanet.com/st … osx-linux/

Ne devrais-je pas carrément désinstaller tout le serveur web et recommencer ? sad

Dernière modification par oliver2004 (Le 07/06/2018, à 04:28)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#12 Le 07/06/2018, à 04:39

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Du coup, j'ai tenté une réinstallation de phpmyadmin... et ensuite un...

olivier@olivier-laptop:/var/www/html$ sudo dpkg-reconfigure phpmyadmin

Page bleue, champs à valider, on me demande un mot de passe puis...

Une erreur s'est produite lors de la création de la base de données.                                                                   │ 
                           │                                                                                                                                        │ 
                           │ mysql said: ERROR 1805 (HY000) at line 1: Column count of mysql.user is wrong. Expected 45, found 46. The table is probably corrupted  │ 
                           │                                                                                                                                        │ 
                           │ Vos possibilités sont:                                                                                                                 │ 
                           │  * abandonner - Provoque l'échec de l'opération; vous devrez revenir à                                                                 │ 
                           │    l'ancienne version, reinstaller, reconfigurer ce paquet, ou sinon                                                                   │ 
                           │    faites-le à la main, pour continuer à l'utiliser.                                                                                   │ 
                           │    Cela impacte le plus souvent la possibilité d'installer d'autres                                                                    │ 
                           │    paquets tant que l'échec de l'installation n'est pas résolu.                                                                        │ 
                           │  * réessayer - Pose à nouveau toutes les questions relatives à                                                                         │ 
                           │    l'installation (en incluant celles que vous pourriez avoir manqué                                                                   │ 
                           │    à cause du réglage de la priorité de debconf) et fait une nouvelle                                                                  │ 
                           │    tentative pour effectuer l'opération.                                                                                               │ 
                           │  * réessayer (sans les questions) - Réessaye immédiatement l'opération                                                                 │ 
                           │    en ne posant pas les questions.                                                                                                     │ 
                           │    C'est en général utile si vous avez résolu le problème depuis que                                                                   │ 
                           │    l'erreur est apparue.                                                                                                               │ 
                           │  * ignorer - Poursuit l'opération en ignorant les erreurs de                                                                           │ 
                           │    dbconfig-common. En général cela amène à un paquet sans base de                                                                     │ 
                           │    données fonctionnelle.                                                                                                              │ 
                           │                                                                                                                                        │ 
                           │ Prochaine étape pour l'installation de la base de données :                                                                            │ 
                           │                                                                                                                                        │ 
                           │                                                  Abandonner                                                                            │ 
                           │                                                  Recommencer                                                                           │ 
                           │                                                  Recommencer avec les mêmes réglages                                                   │ 
                           │                                                  Ignorer                                                                               │ 
                           │                                                                                                                                        │ 
                           │                                                                                                                                        │ 
                           │                                                                 <Ok>

Je suis dans l'impasse... roll

Dernière modification par oliver2004 (Le 07/06/2018, à 04:54)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#13 Le 07/06/2018, à 07:17

seebz

Re : [Résolu] Problème installation serveur apache/mysql

mysql said: ERROR 1805 (HY000) at line 1: Column count of mysql.user is wrong. Expected 45, found 46. The table is probably corrupted

C'est effectivement ce qu'on a constaté un peu plus haut.

Faudrait supprimer ce qui concerne mysql et phpmyadmin et réinstaller le tout.
Quand tu désinstalles mysql, il te propose de garder ou supprimer les bases, il faudra choisir de les supprimer (faire un backup si nécessaire) sinon il ne va pas re-créer la table "mysql.user" qui est corrompue...

Hors ligne

#14 Le 07/06/2018, à 16:33

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

seebz a écrit :

mysql said: ERROR 1805 (HY000) at line 1: Column count of mysql.user is wrong. Expected 45, found 46. The table is probably corrupted

C'est effectivement ce qu'on a constaté un peu plus haut.

Faudrait supprimer ce qui concerne mysql et phpmyadmin et réinstaller le tout.
Quand tu désinstalles mysql, il te propose de garder ou supprimer les bases, il faudra choisir de les supprimer (faire un backup si nécessaire) sinon il ne va pas re-créer la table "mysql.user" qui est corrompue...

Décidément j'ai pas de chance
J'ai désinstallé/purgé phpmyadmin et tout mysql,
J'en suis à réinstaller mysql, ça bloque à 85% depuis 10 minutes...
Pfff, jamais eu autant de mal à installer un serveur web hmm

Edit : du coup, après 15 minutes, j'ai dû fermer la fenêtre de MUON à l'arrache car pas de bouton pour interrompre le processus. Et maintenant, dpkg est bloqué...

olivier@olivier-laptop:/var/lib/dpkg$ sudo dpkg-reconfigure mysql
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

Dernière modification par oliver2004 (Le 07/06/2018, à 16:39)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#15 Le 07/06/2018, à 18:04

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

purger mysql ne suffit pas à supprimer les bdd.

voici la procédure à suivre pour supprimer l'install précédente :
https://doc.ubuntu-fr.org/lamp#conflits … ons_de_php

sudo apt autoremove --purge mysql\* mariadb\*
sudo apt clean
sudo mv /var/lib/mysql /var/lib/mysql_bak
sudo mv /etc/mysql /etc/mysql_bak

(en fait là on déplace les bases dans des répertoires mysql_bak plutôt que les supprimer vraiment, par sécurité. libre à toi d'adapter les commandes)

à partir de là tu as le choix entre réinstaller MySQL ou installer MariaDB :

sudo apt install mysql-server

ou

sudo apt install mariadb-server

perso je te conseillerais plutôt mariadb mais tu fais ce que tu veux.

Dernière modification par krodelabestiole (Le 07/06/2018, à 18:04)

Hors ligne

#16 Le 07/06/2018, à 18:14

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Bonjour,
Je tenterai la procédure quand je pourrai sortir de l'impasse actuelle:

E: Impossible d'obtenir le verrou /var/cache/apt/archives/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire /var/cache/apt/archives/

Vraiment pas de chance avec cette installation. Je me demande si je vais pas mettre tout le système en l'air et refaire toute une installation depuis 0 sad


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#17 Le 07/06/2018, à 18:19

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

il y a peut-être un autre processus qui tourne en utilisant APT (un truc de mise à jour, logiciel, synaptic, ou une autre console avec apt)
dans le cas contraire c'est sûrement dû au fait que tu as forcé l'arrêt de ta dernière manip avec apt. dans ce cas supprime le verrou manuellement :

sudo rm /var/cache/apt/archives/lock

Hors ligne

#18 Le 08/06/2018, à 00:44

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

krodelabestiole a écrit :

il y a peut-être un autre processus qui tourne en utilisant APT (un truc de mise à jour, logiciel, synaptic, ou une autre console avec apt)
dans le cas contraire c'est sûrement dû au fait que tu as forcé l'arrêt de ta dernière manip avec apt. dans ce cas supprime le verrou manuellement :

sudo rm /var/cache/apt/archives/lock

Super, merci, j'ai récupéré le contrôle des paquets smile

J'ai donc purgé mysql et phpmyadmin et j'ai retenté l'installation via les paquets...
Il y a un souci...

olivier@olivier-laptop:/etc/dpkg$ sudo apt-get install mysql-server
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  libcgi-fast-perl libcgi-pm-perl libevent-core-2.1-6 libfcgi-perl libhtml-template-perl mysql-client-5.7 mysql-client-core-5.7 mysql-common mysql-server-5.7 mysql-server-core-5.7
Paquets suggérés :
  libipc-sharedcache-perl mailx tinyca
Les NOUVEAUX paquets suivants seront installés :
  libcgi-fast-perl libcgi-pm-perl libevent-core-2.1-6 libfcgi-perl libhtml-template-perl mysql-client-5.7 mysql-client-core-5.7 mysql-common mysql-server mysql-server-5.7 mysql-server-core-5.7
0 mis à jour, 11 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/20,6 Mo dans les archives.
Après cette opération, 161 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Préconfiguration des paquets...
Sélection du paquet mysql-common précédemment désélectionné.
(Lecture de la base de données... 225140 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mysql-common_5.8+1.0.4_all.deb ...
Dépaquetage de mysql-common (5.8+1.0.4) ...
Sélection du paquet mysql-client-core-5.7 précédemment désélectionné.
.....
[bla... bla... bla...]
.....
Paramétrage de libhtml-template-perl (2.97-1) ...
Paramétrage de libcgi-fast-perl (1:2.13-1) ...
Paramétrage de mysql-client-5.7 (5.7.22-0ubuntu18.04.1) ...
Paramétrage de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
update-alternatives: utilisation de « /etc/mysql/mysql.cnf » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
Renaming removed key_buffer and myisam-recover options (if present)
dpkg: erreur de traitement du paquet mysql-server-5.7 (--configure) :
 installed mysql-server-5.7 package post-installation script subprocess returned error exit status 1
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                  dpkg: des problèmes de dépendances empêchent la configuration de mysql-server :
 mysql-server dépend de mysql-server-5.7 ; cependant :
 Le paquet mysql-server-5.7 n'est pas encore configuré.

dpkg: erreur de traitement du paquet mysql-server (--configure) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-20) ...
Traitement des actions différées (« triggers ») pour systemd (237-3ubuntu10) ...
Des erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.7
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Une erreur bizarre de configuration : dpkg: erreur de traitement du paquet mysql-server-5.7 (--configure)

Du coup je tente un --dpkg --configure avec plien d'espoir mais...

olivier@olivier-laptop:/etc/dpkg$ sudo dpkg --configure mysql-server-5.7
Paramétrage de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
Renaming removed key_buffer and myisam-recover options (if present)
Checking if update is needed.
Checking server version.
Running queries to upgrade MySQL server.
Checking system database.
mysql.columns_priv                                 OK
mysql.db                                           OK
mysql.engine_cost                                  OK
mysql.event                                        OK
mysql.func                                         OK
mysql.general_log                                  OK
mysql.gtid_executed                                OK
mysql.help_category                                OK
mysql.help_keyword                                 OK
mysql.help_relation                                OK
mysql.help_topic                                   OK
mysql.innodb_index_stats                           OK
mysql.innodb_table_stats                           OK
mysql.ndb_binlog_index                             OK
mysql.plugin                                       OK
mysql.proc                                         OK
mysql.procs_priv                                   OK
mysql.proxies_priv                                 OK
mysql.server_cost                                  OK
mysql.servers                                      OK
mysql.slave_master_info                            OK
mysql.slave_relay_log_info                         OK
mysql.slave_worker_info                            OK
mysql.slow_log                                     OK
mysql.tables_priv                                  OK
mysql.time_zone                                    OK
mysql.time_zone_leap_second                        OK
mysql.time_zone_name                               OK
mysql.time_zone_transition                         OK
mysql.time_zone_transition_type                    OK
mysql.user                                         OK
The sys schema is already up to date (version 1.5.1).
Checking databases.
sys.sys_config                                     OK
Upgrade process completed successfully.
Checking if update is needed.
dpkg: erreur de traitement du paquet mysql-server-5.7 (--configure) :
 installed mysql-server-5.7 package post-installation script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.7

roll

Je me demande, est-ce moi qui m'y prend comme un pied ? hmm

Dernière modification par oliver2004 (Le 08/06/2018, à 00:53)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#19 Le 08/06/2018, à 00:49

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

oliver2004 a écrit :

J'ai donc purgé mysql et phpmyadmin et j'ai retenté l'installation via les paquets...

qu'est-ce que tu appelles purgé ? tu as suivi la méthode du #15 ?

Hors ligne

#20 Le 08/06/2018, à 00:55

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

krodelabestiole a écrit :
oliver2004 a écrit :

J'ai donc purgé mysql et phpmyadmin et j'ai retenté l'installation via les paquets...

qu'est-ce que tu appelles purgé ? tu as suivi la méthode du #15 ?

Ah merde, oui, je m'y prend comme un pied, j'ai sauté cette étape... 1000 excuses,
Bon je recommence au 15...


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#21 Le 08/06/2018, à 01:03

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Voici :

olivier@olivier-laptop:/etc/dpkg$ sudo apt autoremove --purge mysql\* mariadb\*
[sudo] Mot de passe de olivier :                                                                                                                                                                                                                                                               
Lecture des listes de paquets... Fait                                                                                                                                                                                                                                             
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de mysqltcl pour l'expression rationnelle « mysql* »
Note : sélection de mysql-workbench pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-5.5 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-5.7 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-common-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-5.0 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-5.1 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-5.5 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-5.7 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-utilities pour l'expression rationnelle « mysql* »
Note : sélection de mysql-testsuite pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client pour l'expression rationnelle « mysql* »
Note : sélection de mysql-sandbox pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-core-5.5 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-core-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-client-core-5.7 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-testsuite-5.5 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-testsuite-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-testsuite-5.7 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-common pour l'expression rationnelle « mysql* »
Note : sélection de mysqltuner pour l'expression rationnelle « mysql* »
Note : sélection de mysql-workbench-data pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-core-5.1 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-core-5.5 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-core-5.6 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-server-core-5.7 pour l'expression rationnelle « mysql* »
Note : sélection de mysql-source-5.7 pour l'expression rationnelle « mysql* »
Le paquet « mysql-client-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-core-5.6 » n'est pas installé, et ne peut donc être supprimé
Note : sélection de « mysql-common » au lieu de « mysql-common-5.6 »
Le paquet « mysql-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.1 » n'est pas installé, et ne peut donc être supprimé
Note : sélection de mariadb-plugin-cracklib-password-check pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-common pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-connect pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-core-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-tokudb-engine-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-core-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-core-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-connect-engine-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-connect-engine-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-galera-server pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-oqgraph pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-gssapi-client pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-spider pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-galera-server-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-gssapi-server pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-tokudb pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-server pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-tokudb-engine-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-tokudb-engine-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-core-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-core-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-oqgraph-engine-10.0 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-oqgraph-engine-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-galera-server-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-client-core-5.5 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-gssapi-server-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-gssapi-server-10.2 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-gssapi-client-10.1 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-gssapi-client-10.2 pour l'expression rationnelle « mariadb* »
Note : sélection de mariadb-plugin-mroonga pour l'expression rationnelle « mariadb* »
Le paquet « mariadb-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-core-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-connect-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-connect-engine-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-gssapi-client-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-gssapi-client-10.2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-gssapi-server-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-gssapi-server-10.2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-oqgraph-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-oqgraph-engine-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-core-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-core-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-common » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-connect » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-cracklib-password-check » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-gssapi-client » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-gssapi-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-mroonga » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-oqgraph » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-spider » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-tokudb » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-core-10.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-sandbox » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-utilities » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-workbench » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-workbench-data » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysqltcl » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysqltuner » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-source-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.7 » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants seront ENLEVÉS :
  libcgi-fast-perl* libcgi-pm-perl* libevent-core-2.1-6* libfcgi-perl* libhtml-template-perl* mysql-client-5.7* mysql-client-core-5.7* mysql-common* mysql-server*
  mysql-server-5.7* mysql-server-core-5.7*
0 mis à jour, 0 nouvellement installés, 11 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Après cette opération, 161 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 225446 fichiers et répertoires déjà installés.)
Suppression de mysql-server (5.7.22-0ubuntu18.04.1) ...
Suppression de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
update-alternatives: utilisation de « /etc/mysql/my.cnf.fallback » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
Suppression de libcgi-fast-perl (1:2.13-1) ...
Suppression de libhtml-template-perl (2.97-1) ...
Suppression de libcgi-pm-perl (4.38-1) ...
Suppression de libevent-core-2.1-6:amd64 (2.1.8-stable-4build1) ...
Suppression de libfcgi-perl (0.78-2build1) ...
Suppression de mysql-client-5.7 (5.7.22-0ubuntu18.04.1) ...
Suppression de mysql-client-core-5.7 (5.7.22-0ubuntu18.04.1) ...
Suppression de mysql-common (5.8+1.0.4) ...
Suppression de mysql-server-core-5.7 (5.7.22-0ubuntu18.04.1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.3-2) ...
(Lecture de la base de données... 225152 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de mysql-common (5.8+1.0.4) ...
Purge des fichiers de configuration de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
userdel: user mysql is currently used by process 2008
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-20) ...
Traitement des actions différées (« triggers ») pour systemd (237-3ubuntu10) ...
olivier@olivier-laptop:/etc/dpkg$ sudo apt clean
olivier@olivier-laptop:/etc/dpkg$ sudo mv /var/lib/mysql /var/lib/mysql_bak
mv: impossible d'évaluer '/var/lib/mysql': Aucun fichier ou dossier de ce type
olivier@olivier-laptop:/etc/dpkg$ sudo mv /etc/mysql /etc/mysql_bak
mv: impossible d'évaluer '/etc/mysql': Aucun fichier ou dossier de ce type
olivier@olivier-laptop:/etc/dpkg$ 

Donc je n'ai pas pu enlever /var/lib/mysql': Aucun fichier ou dossier de ce type ni '/etc/mysql': Aucun fichier ou dossier de ce type

Je continue avec

sudo apt install mysql-server

Dernière modification par oliver2004 (Le 08/06/2018, à 01:04)


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#22 Le 08/06/2018, à 01:07

oliver2004

Re : [Résolu] Problème installation serveur apache/mysql

Bon... voici la fin du processus... roll

Paramétrage de libfcgi-perl (0.78-2build1) ...
Paramétrage de libhtml-template-perl (2.97-1) ...
Paramétrage de libcgi-fast-perl (1:2.13-1) ...
Paramétrage de mysql-client-5.7 (5.7.22-0ubuntu18.04.1) ...
Paramétrage de mysql-server-5.7 (5.7.22-0ubuntu18.04.1) ...
update-alternatives: utilisation de « /etc/mysql/mysql.cnf » pour fournir « /etc/mysql/my.cnf » (my.cnf) en mode automatique
Renaming removed key_buffer and myisam-recover options (if present)
dpkg: erreur de traitement du paquet mysql-server-5.7 (--configure) :
 installed mysql-server-5.7 package post-installation script subprocess returned error exit status 1
dpkg: des problèmes de dépendances empêchent la configuration de mysql-server :
 mysql-server dépend de mysql-server-5.7 ; cependant :
 Le paquet mysql-server-5.7 n'est pas encore configuré.

dpkg: erreur de traitement du paquet mysql-server (--configure) :
 problèmes de dépendances - laissé non configuré
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                  Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-20) ...
Traitement des actions différées (« triggers ») pour systemd (237-3ubuntu10) ...
Des erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.7
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

C'est fou.
Est ce que ça le fait que ce soit une erreur dans l'installation de php qui occasionne tout ceci pour mysql ??


Bureaux: Ubuntu Serveur Edition 16.04 LTS, Kubuntu sur portables Compaq CQ42, Lubuntu sur portable HP 550, Kubuntu sur DELL Inspiron 14...
Mon laptop: Kubuntu sur DELL
Déjà 10 ans que toutes les machines sont LINUX dans mon entreprise...

Hors ligne

#23 Le 08/06/2018, à 01:50

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

là le problème c'est que le message d'erreur est pas très bavard :

oliver2004 a écrit :

installed mysql-server-5.7 package post-installation script subprocess returned error exit status 1

il y a p-e plus d'info dans les logs mais je vais pas pouvoir t'aider des masses là dessus depuis ma tablette.
tu peux déjà faire une recherche avec ça.

sinon ce que je te conseillerais c'est de recleaner avec le #15 et d'installer mariadb à la place de mysql, à moins qu'une raison particulière te force à utiliser mysql.

sinon je pourrai jeter un oeil demain.

Hors ligne

#24 Le 08/06/2018, à 12:09

krodelabestiole

Re : [Résolu] Problème installation serveur apache/mysql

pour exemple on trouve un bug report un peu similaire là : https://bugs.launchpad.net/ubuntu/+sour … ug/1770823

dans ce cas on trouve plus d'info dans les logs d'erreur de MySQL (/var/log/mysql/error.log) : https://launchpadlibrarian.net/36991065 … or.log.txt
en l'occurrence

2018-05-12T09:19:44.557250Z 0 [ERROR] Can't start server: Bind on TCP/IP port: Address already in use
2018-05-12T09:19:44.557259Z 0 [ERROR] Do you already have another mysqld server running on port: 3306 ?

donc tu pourrais par ex. tester la disponibilité du port 3306 :

sudo netstat -tuplen | grep :3306

(tu auras peut-être besoin d'installer le paquet net-tools)

sinon il faudrait nous fournir en particulier les logs d'erreur de mysql qui correspondent à ta tentative d'installation, et si on n'y trouve rien peut-être les logs système.

Hors ligne

#25 Le 08/06/2018, à 12:49

bruno

Re : [Résolu] Problème installation serveur apache/mysql

Bonjour,

Je n'ai pas lu tout le fil de discussion mais en #21, lors de la désinstallation il y a ce message curieux :

userdel: user mysql is currently used by process 2008

Ce qui signifie qu'au moment de la désinstallation un processus s'exécutant sous l'utilisateur mysql est resté actif.
Il faudrait voir, si ce n'est pas trop tard :

sudo ps -u mysql

Hors ligne